/*
 * This file is part of presence  *
 *
 * Copyright  2011 Nokia Corporation and/or its subsidiary(-ies). Allrights reserved.
 *
 * Contact: Alvi Hirvela <Alvie.Hirvela@nokia.com>
 *
 * This software, including documentation, is protected by copyrightcontrolled by
 * Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
 * adapting or translating, any or all of this material requires the prior written consent
 * of Nokia Corporation. This material also contains confidential information which may
 * not be disclosed to others  without the prior written consent of Nokia.
 */
#ifndef AVAILABILITYWIDGET_H
#define AVAILABILITYWIDGET_H


#include <MWidgetController>
#include <MBasicListItem>
#include <MExport>

class AvailabilityWidgetPrivate;


class M_EXPORT AvailabilityWidget
           : public MBasicListItem
{
    Q_OBJECT
    Q_ENUMS(GlobalPresenceIndicator::GLOBAL_PRESENCE)

public:

    AvailabilityWidget( QGraphicsItem* parent = 0 );

    ~AvailabilityWidget();

    bool active();

Q_SIGNALS:

    void activeStateChanged ( bool active );

private:

    AvailabilityWidgetPrivate* const d_ptr;

    Q_DECLARE_PRIVATE(AvailabilityWidget);

    //friend class AvailabilityWidgetPrivate;
};

#endif // AVAILABILITYWIDGET_H
