/*
 * This file is part of presence  *
 *
 * Copyright  2011 Nokia Corporation and/or its subsidiary(-ies). Allrights reserved.
 *
 * Contact: Alvi Hirvela <Alvie.Hirvela@nokia.com>
 *
 * This software, including documentation, is protected by copyrightcontrolled by
 * Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
 * adapting or translating, any or all of this material requires the prior written consent
 * of Nokia Corporation. This material also contains confidential information which may
 * not be disclosed to others  without the prior written consent of Nokia.
 */
#ifndef PRESENCECONTROLLER_H
#define PRESENCECONTROLLER_H

#include <QObject>
#include <QGraphicsItem>

#include <MExport>

class PresenceControllerPrivate;

class M_EXPORT PresenceController : public QObject
{

    Q_OBJECT

public:

    PresenceController( QObject* parent=0 );

    QGraphicsItem *widget(QGraphicsItem *parent = 0);

    bool isActive();

Q_SIGNALS:

    void stateChanged();

private:

    PresenceControllerPrivate* const d_ptr;

    Q_DECLARE_PRIVATE( PresenceController );

};

#endif // PRESENCECONTROLLER_H
