#ifndef PRESENCEUIINTERFACE_H
#define PRESENCEUIINTERFACE_H

#include <QObject>

#include <mservicefwbaseif.h>
#include <MExport>

class M_EXPORT PresenceUiInterface : public MServiceFwBaseIf
{
    Q_OBJECT

public:

    /*!
     * @brief Constructs a base interface
     * @param preferredService the preferred service provider. Leave
     * empty if no preferred provider. In most cases, this should be left
     * empty.
     * @param parent Parent object
     */
    PresenceUiInterface(const QString& preferredService = "", QObject* parent = 0 );

    /*!
     * @brief Set the service name
     * @param service Name of the desired service
     */

    void setService(const QString & service);

    bool showPresenceUi();

};

#endif // PRESENCEUIINTERFACE_H
